# NDC.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <string>`
`#include <vector>`

Include dependency graph for NDC.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "Pattern Languages of Program Design 3" edited by Martin et al. More...
struct | log4cpp::NDC::DiagnosticContext